var all_data;        
function initialize(){
	all_data = new Array();
	// データをLinkDataから取得 
	tmp_a_data = new Array();
	
	$.each(LinkData.getWorks(), function(workKey, workValue) {
		//$("#result").append("<h3>Work: " + workValue + "</h3>");
		$.each(LinkData.getFiles(workValue), function(fileKey, fileValue) {
			$.each(LinkData.getSubjects(workValue, fileValue), function(subjKey, subjValue) {
				var tmp_data = {}
				tmp_data["id"] = subjValue;
				$.each(LinkData.getProperties(workValue, fileValue), function(propKey, propValue) {
					$.each(LinkData.getObjects(workValue, fileValue, subjValue, propValue), function(objKey, objValue) {
						if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("busstop_name")){
							tmp_data["name"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("furigana")){
							tmp_data["furigana"] = objValue;
						}else if(propValue == "http://imi.ipa.go.jp/ns/core/rdf#アクセス区間"){
							tmp_data["kukan"] = objValue;
						}else if(propValue == "http://www.w3.org/2003/01/geo/wgs84_pos#lat"){
							tmp_data["lat"] = objValue;
						}else if(propValue == "http://www.w3.org/2003/01/geo/wgs84_pos#long"){
							tmp_data["longitude"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("bus_stop_sign")){
							tmp_data["sign"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("time_1")){
							tmp_data["time_1"] = objValue;
                        }else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("time_2")){
							tmp_data["time_2"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("time_3")){
							tmp_data["time_3"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("time_4")){
							tmp_data["time_4"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("time_5")){
							tmp_data["time_5"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("time_6")){
							tmp_data["time_6"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3545i#" + encodeURIComponent("time_7")){
							tmp_data["time_7"] = objValue;
						}
					});
				});
				tmp_a_data.push(tmp_data);
			});
		});
	});

	
	
	//全データ
	all_data = tmp_a_data;
	
	//全データを地図上に表示

    // 地図センター緯度経度の初期値は「須坂市役所」
    var latlng = new google.maps.LatLng(36.651080,138.307227);
    
    var myOptions = {
    zoom: 13,
    center: latlng,
    mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    var map = new google.maps.Map(document.getElementById("result"), myOptions);


	// ウィンドウに表示するデータをつくる

	var data = new Array();
	for (var i in all_data){ 
        var value = all_data[i].name;  
        data.push({position: new google.maps.LatLng(all_data[i].lat, all_data[i].longitude), content:  all_data[i].name +'<br>' + all_data[i].furigana + '<br>【方面】' + all_data[i].kukan + '<br>【時刻】' + all_data[i].time_1+'　' + all_data[i].time_2+'　' + all_data[i].time_3+'　' + all_data[i].time_4+'　' + all_data[i].time_5+'　' + all_data[i].time_6+'　' + all_data[i].time_7+ "</a>" + '<br><a href="http://maps.google.com/maps?q=' + all_data[i].lat + ',' + all_data[i].longitude + '" target="_blank">マップアプリで経路案内</a>'
        });
	};     
    
	// 地図上にウィンドウで表示
    for (i = 0; i < data.length; i++) {
         var marker = new google.maps.Marker({
            position: data[i].position,
            map: map,
        });
        attachMessage(marker, data[i].content);
    };
};

// 地図のマーカーをクリックするとウィンドウを表示する処理
function attachMessage(marker, msg) {
	google.maps.event.addListener(marker, 'click', function(event) {
    	new google.maps.InfoWindow({
			content: msg
        }).open(marker.getMap(), marker);
    });
};

window.onload = function() {
    $(function(){
    	initialize();        
    });	
};

